import { assertNever } from '@/utils/assertNever';
import { PinItem, PinType } from './PinsList.types';
import { MirnaPinsListItem } from './PinsListItem';

interface PinsListProps {
  pinsList: PinItem[];
  type: PinType;
}

export const PinsList = ({ pinsList, type }: PinsListProps): JSX.Element => {
  switch (type) {
    case 'bioEntity':
      return <div />;
    case 'chemicals':
      return <div />;
    case 'drugs':
      return <div />;
    case 'mirna':
      return (
        <ul className="h-[calc(100vh-198px)] overflow-auto px-6 py-2">
          {pinsList.map(result => {
            return result.data.targets.map(pin => (
              <MirnaPinsListItem key={pin.name} name={pin.name} pin={pin} />
            ));
          })}
        </ul>
      );
    case 'none':
      return <div />;
    default:
      return assertNever(type);
  }
};
