import { twMerge } from 'tailwind-merge';
import { Icon } from '@/shared/Icon';
import { getPinColor } from './PinsListItem.component.utils';
import { PinType } from '../PinsList.types';

interface PinsListItemProps {
  name: string;
  type: PinType;
  onClick: () => void;
}

export const PinsListItem = ({ name, type, onClick }: PinsListItemProps): JSX.Element => (
  <button
    className="flex w-full flex-row items-center justify-between pt-4"
    onClick={onClick}
    type="button"
  >
    <Icon name="pin" className={twMerge('mr-2 shrink-0', getPinColor(type))} />
    <p className="w-full text-left">{name}</p>
    <Icon name="chevron-right" className="h-6 w-6 shrink-0" />
  </button>
);
