import { createSelector } from '@reduxjs/toolkit';
import { mapDataSelector } from '../map/map.selectors';
import { rootSelector } from '../root/root.selectors';

export const backgroundsSelector = createSelector(rootSelector, state => state.backgrounds);

export const backgroundsDataSelector = createSelector(
  backgroundsSelector,
  backgrounds => backgrounds?.data || [],
);

export const currentBackgroundSelector = createSelector(
  backgroundsDataSelector,
  mapDataSelector,
  (backgrounds, mapData) => backgrounds.find(background => background.id === mapData.backgroundId),
);

export const currentBackgroundImageSelector = createSelector(
  mapDataSelector,
  currentBackgroundSelector,
  (mapData, background) =>
    background ? background.images.find(image => image.model.id === mapData.modelId) : undefined,
);

export const currentBackgroundImagePathSelector = createSelector(
  currentBackgroundImageSelector,
  image => (image ? image.path : ''),
);
