import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { BioEntityContentsState } from './bioEntity.types';
import { getBioEntity } from './bioEntity.thunks';

export const getBioEntityContentsReducer = (
  builder: ActionReducerMapBuilder<BioEntityContentsState>,
): void => {
  builder.addCase(getBioEntity.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getBioEntity.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getBioEntity.rejected, state => {
    state.loading = 'failed';
    // TODO: error management to be discussed in the team
  });
};
