import { PROJECT_ID } from '@/constants';
import {
  DEFAULT_CENTER_POINT,
  DEFAULT_MAX_ZOOM,
  DEFAULT_MIN_ZOOM,
  DEFAULT_TILE_SIZE,
} from '@/constants/map';
import { MapData } from './map.types';

export const MAP_DATA_INITIAL_STATE: MapData = {
  projectId: PROJECT_ID,
  meshId: '',
  modelId: 0,
  backgroundId: 0,
  overlaysIds: [],
  position: {
    last: DEFAULT_CENTER_POINT,
    initial: DEFAULT_CENTER_POINT,
  },
  show: {
    legend: false,
    comments: false,
  },
  size: {
    width: 0,
    height: 0,
    tileSize: DEFAULT_TILE_SIZE,
    minZoom: DEFAULT_MIN_ZOOM,
    maxZoom: DEFAULT_MAX_ZOOM,
  },
};

export const MIDDLEWARE_ALLOWED_ACTIONS: string[] = ['map/setMapData'];
