import { createSlice } from '@reduxjs/toolkit';
import { MAP_DATA_INITIAL_STATE } from './map.constants';
import {
  getMapPositionReducers,
  getMapReducers,
  setMapDataReducer,
  setMapPositionReducer,
} from './map.reducers';
import { MapState } from './map.types';

const initialState: MapState = {
  data: MAP_DATA_INITIAL_STATE,
  loading: 'idle',
  error: { name: '', message: '' },
};

const mapSlice = createSlice({
  name: 'map',
  initialState,
  reducers: {
    setMapData: setMapDataReducer,
    setMapPosition: setMapPositionReducer,
  },
  extraReducers: builder => {
    getMapReducers(builder);
    getMapPositionReducers(builder);
  },
});

export const { setMapData, setMapPosition } = mapSlice.actions;

export default mapSlice.reducer;
