import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { MirnasState } from './mirnas.types';
import { getMirnas } from './mirnas.thunks';

export const getMirnasReducer = (builder: ActionReducerMapBuilder<MirnasState>): void => {
  builder.addCase(getMirnas.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getMirnas.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getMirnas.rejected, state => {
    state.loading = 'failed';
    // TODO: error management to be discussed in the team
  });
};
