import { getBioEntity } from '@/redux/bioEntity/bioEntity.thunks';
import { getChemicals } from '@/redux/chemicals/chemicals.thunks';
import { getDrugs } from '@/redux/drugs/drugs.thunks';
import { getMirnas } from '@/redux/mirnas/mirnas.thunks';
import { createAsyncThunk } from '@reduxjs/toolkit';

export const getSearchData = createAsyncThunk(
  'project/getSearchData',
  async (searchQuery: string, { dispatch }): Promise<void> => {
    await Promise.all([
      dispatch(getDrugs(searchQuery)),
      dispatch(getBioEntity(searchQuery)),
      dispatch(getChemicals(searchQuery)),
      dispatch(getMirnas(searchQuery)),
    ]);
  },
);
