import { QueryData } from '@/types/query';
import { ParsedUrlQuery } from 'querystring';

/* prettier-ignore */
export const getQueryFieldNumberCurry =
  (query: ParsedUrlQuery) =>
    (key: string): number | undefined =>
      parseInt(`${query?.[key]}`, 10) || undefined;

export const getQueryData = (query: ParsedUrlQuery): QueryData => {
  const getQueryFieldNumber = getQueryFieldNumberCurry(query);

  const initialPosition = {
    x: getQueryFieldNumber('x'),
    y: getQueryFieldNumber('y'),
    z: getQueryFieldNumber('z'),
  };

  return {
    modelId: getQueryFieldNumber('modelId'),
    backgroundId: getQueryFieldNumber('backgroundId'),
    initialPosition,
  };
};
